Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X PUT "https://api.box.com/2.0/group_memberships/434534" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"role": "admin"
}'{
"id": "11446498",
"type": "group_membership",
"user": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"group": {
"id": "11446498",
"type": "group",
"name": "Support",
"group_type": "managed_group"
},
"role": "member",
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}ユーザーのグループメンバーシップを更新します。このグループの管理者、または管理者レベルの権限を持つユーザーのみがこのAPIを使用できます。
curl -i -X PUT "https://api.box.com/2.0/group_memberships/434534" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"role": "admin"
}'{
"id": "11446498",
"type": "group_membership",
"user": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"group": {
"id": "11446498",
"type": "group",
"name": "Support",
"group_type": "managed_group"
},
"role": "member",
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
グループメンバーシップのID。
レスポンスに含める属性のコンマ区切りリスト。このパラメータを使用すると、標準のレスポンスには通常含まれないフィールドをリクエストできます。
このパラメータを指定すると、明示的に指定しない限り標準フィールドはレスポンスに含まれず、リクエストしたフィールドのほかには、Mini版の表示のフィールドしか返されないことに注意してください。
グループ内のユーザーのロール。
member, admin "member"
管理者権限のカスタム設定 (グループが受け入れる場合)。このオプションは、ロールがmemberであるメンバーには影響しません。
これらの権限を設定すると、管理者のデフォルトのアクセスレベルが上書きされます。
このオブジェクトの値としてnullを指定すると、設定可能なすべての権限が無効になります。権限を指定すると、それに応じて権限が設定され、省略した権限はデフォルトで有効になります。
Show child attributes
{ "can_run_reports": true }
新しいグループメンバーシップオブジェクトを返します。
メンバーシップは、ユーザーがグループに属していることを示すために使用されます。
このグループメンバーシップの一意の識別子。
"11446498"
値は常にgroup_membershipになります。
group_membership "group_membership"
メンバーシップが適用されるユーザー。
Show child attributes
メンバーシップが適用されるグループ。
Show child attributes
グループ内のユーザーのロール。
member, admin "member"
このメンバーシップが作成された日時。
"2012-12-12T10:53:43-08:00"
このメンバーシップが最後に変更された日時。
"2012-12-12T10:53:43-08:00"
このページは役に立ちましたか?